com.rs.xbrl.instructions.genericmessages

## Class Message

- java.lang.Object
- - com.rs.xbrl.InstructionAbstract
  - - com.rs.xbrl.instructions.GenericResource
    - - com.rs.xbrl.instructions.genericmessages.Message

- All Implemented Interfaces:
    Instruction, InstructionPhase3

      public class Message
      extends GenericResource

  Allows for the creation of msg:message resources as defined in the Generic Messages 1.0 specification
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Message.MessageContentType` The Enum MessageContentType.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLResource` | `generateMessage(GenerationContext gc, java.lang.String resourceId, java.lang.String instruction, java.lang.String lang, java.lang.String labelRole, Message.MessageContentType mode, java.lang.String spLabelText, java.util.Collection<XMLFragment> complexContent)`

    - ### Methods inherited from class com.rs.xbrl.instructions.GenericResource

      `executePh3`

    - ### Methods inherited from class com.rs.xbrl.InstructionAbstract

      `execute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rs.xbrl.Instruction

      `execute`

- - ### Constructor Detail

    - #### Message

          public Message()

  - ### Method Detail

    - #### generateMessage

          public static XBRLResource generateMessage(GenerationContext gc,
                                     java.lang.String resourceId,
                                     java.lang.String instruction,
                                     java.lang.String lang,
                                     java.lang.String labelRole,
                                     Message.MessageContentType mode,
                                     java.lang.String spLabelText,
                                     java.util.Collection<XMLFragment> complexContent)